local Room = Gamestate.new();


	function Room:enter()
		SND.CAVE:setVolume(0.7);
		SND.CAVE:play();
		--key = false;
		y=600;
		SND.BACKGROUND:stop();
		Timer = require("hump.timer");
		Timer.add(5,function() SND.CAVE:setVolume(0.5); SND.MUSIC:play(); key = true; end);
	end

	function Room:update(dt)
		Timer.update(dt);
		if (key) then
			y=y-1;
			if (y<-600) then key=false; end
		end
		if (love.keyboard.isDown("escape")) then love.event.quit(); end
	end
	
	function Room:draw()
		if (key==true) then
			love.graphics.draw(IMG.END,0,y);
		elseif (key==false) then
			love.graphics.print("ESCAPE to quit game",10,10);
		end
	end

return Room;
	
