local Room = Gamestate.new();
	
	function Room:reset()
		Room.fondo = love.graphics.newImage("img/rooms/1/room.png");
		Room.obstaculos = {}
			table.insert(Room.obstaculos,{x=0,y=296,width=900,height=40});
			table.insert(Room.obstaculos,{x=0,y=580,width=900,height=20});
			table.insert(Room.obstaculos,{x=0,y=0,width=25,height=600});
		Room.lift = false;
		Room.doors = {}
			table.insert(Room.doors,{x=92,y=192,width=92,height=104,open=false});
			table.insert(Room.doors,{x=96,y=476,width=92,height=104,open=false});

		SND.BACKGROUND:stop();	SND.BACKGROUND:play();
		SND.HORN:play();
	end

	function Room:enter()
		SND.HORN:setVolume(0.07);
	end

	function Room:draw()
		love.graphics.draw(self.fondo,0,0);
		PERSONAJE:draw();
		--obstaculos
		for i=1,#self.obstaculos do
			local r = self.obstaculos[i];
			-- love.graphics.rectangle("line",r.x,r.y,r.width,r.height);
		end
		-- --puertas
		-- for i=1,#self.doors do
		-- 	local d = self.doors[i];
		-- 	love.graphics.rectangle("line",d.x,d.y,d.width,d.height);
		-- end
	end
	
	function Room:update(dt)
		PERSONAJE:update(dt);
		if PERSONAJE.position.x > 820 then
			STATES.current = STATES.room2;
			Gamestate.switch(STATES.current);
			PERSONAJE.position.x = -64;
			PERSONAJE.position.y = PERSONAJE.position.y;
			PERSONAJE.velocity.x = PERSONAJE.velocity.x;
			PERSONAJE.velocity.y = PERSONAJE.velocity.y;
		end
	end
	
return Room;
