local Room = Gamestate.new();
	
	function Room:reset()
		Room.fondo = love.graphics.newImage("img/rooms/2/room.png");
		Room.lift = Lift();
			table.insert(Room.lift.paradas,296);	--NOTA: van en orden de mas altura a menor
			table.insert(Room.lift.paradas,580);
			table.insert(Room.lift.paradas,700);
			Room.lift.parada = 2; Room.lift.x = 610;	Room.lift.y = 580;
		Room.obstaculos = {}
			table.insert(Room.obstaculos,{x=-100,y=296,width=707,height=40});
			table.insert(Room.obstaculos,{x=-100,y=580,width=707,height=20});
			table.insert(Room.obstaculos,{x=776,y=0,width=25,height=600});
			table.insert(Room.obstaculos,Room.lift);
		Room.doors={}
			table.insert(Room.doors,{x=100,y=200,width=76,height=96,open=function() STATES.current=STATES.control; Gamestate.switch(STATES.current); PERSONAJE.position.x = 375; PERSONAJE.position.y = 580-64; end});
	end

	function Room:enter()
		SND.HORN:setVolume(0.15);
	end

	function Room:draw()
		love.graphics.draw(self.fondo,0,0);
		PERSONAJE:draw();
		--obstaculos
		-- for i=1,#self.obstaculos do
		-- 	local r = self.obstaculos[i];
		-- 	love.graphics.rectangle("line",r.x,r.y,r.width,r.height);
		-- end
		-- --puertas
		-- for i=1,#self.doors do
		-- 	local d = self.doors[i];
		-- 	love.graphics.rectangle("line",d.x,d.y,d.width,d.height);
		-- end
		self.lift:draw();
		love.graphics.print("FPS= "..love.timer.getFPS(),10,10);
	end
	
	function Room:update(dt)
		self.lift:update(dt);
		PERSONAJE:update(dt);
		if PERSONAJE.position.x < -64-20 then
			STATES.current = STATES.room1;
			Gamestate.switch(STATES.current);
			PERSONAJE.position.x = 800;
			PERSONAJE.position.y = PERSONAJE.position.y;
			PERSONAJE.velocity.x = PERSONAJE.velocity.x;
			PERSONAJE.velocity.y = PERSONAJE.velocity.y;
		end
		if PERSONAJE.position.y > 600 and self.lift.estado==2 then
			STATES.current = STATES.room3;
			Gamestate.switch(STATES.current);
			STATES.current.lift.y = 20;
			STATES.current.lift.estado = 2;
		end
	end
	
return Room;