local state = Gamestate.new();

	function state:init()
		time = 0;
		SND.HORN:stop();	SND.HORN:play();
	end
	
	function state:enter()
		love.graphics.setColor(0,0,0);
	end

	function state:update(dt)
		time = time + dt;
		if time > 6 then
			INIT();-- INIT() en Game.lua inicia el juego
		end
	end

	function state:draw()
		love.graphics.draw(IMG.BACK,0,0);
		love.graphics.draw(IMG.LOGO,400,240,time,1,1,128,128);
		love.graphics.draw(IMG.PIX,(800-IMG.PIX:getWidth())/2,400);
		local color = time/2*255; if time > 2 then color = 255; end
		if time>4 then color = (6-time)/2*255; end;
		love.graphics.setColor(color,color,color);
	end

return state;
