--	This class controls the different 
--	states of the game, AKA the game.
Gamestate = require("hump.gamestate");
Vector = require("hump.vector");
Class = require ("hump.class");
Camera = require("hump.camera");
require("Lift");
require("Switch");
require("IMG");
require("SND");

STATES = {}
STATES.logo = require("logo");
STATES.room1 = require("Room1");
STATES.room2 = require("Room2");
STATES.room3 = require("Room3");
STATES.room4 = require("Room4");
STATES.control = require("Control");
STATES.simon = require("Simon");
STATES.EndRoom = require("EndRoom");

PERSONAJE = require("Personaje");

	function INIT()	--reset all to the init state
		print("Game reinit");
		love.graphics.setColor(255,255,255);
		STATES.room1:reset();
		STATES.room2:reset();
		STATES.room3:reset();
		STATES.room4:reset();
		STATES.control:reset();
		STATES.simon:reset();

		PERSONAJE:reset();

		STATES.current = STATES.room1;
		Gamestate.switch(STATES.current);
	end
