Lift = Class{
	function(self)
		self.x = 0;
		self.y = 0;
		self.img = love.graphics.newImage("img/rooms/lift/lift.png");
		self.width = self.img:getWidth();
		self.height = self.img:getHeight();
		self.estado = 0; -- [0 parado/1 subiendo/2 bajando]
		self.paradas = {};
		self.parada = 0;
	end
};

	function Lift:draw()
		love.graphics.draw(self.img,self.x,self.y);
		-- love.graphics.rectangle("line",self.x,self.y,self.img:getWidth(),self.img:getHeight());
		-- love.graphics.print(self.parada,self.x,self.y);
	end
	
	function Lift:update(dt)
		local p = PERSONAJE;
		if CheckCollision(p.position.x,p.position.y,64,64, self.x+60,self.y-26,self.width-60,26)then
			if self.estado == 0 and love.keyboard.isDown("up") then
				if self.parada > 1 then
					self.estado = 1;
					PERSONAJE.velocity.x = 0; PERSONAJE.velocity.y = 0;
					SND.LIFT:stop();
					SND.LIFT:play();
				end
			end
			if self.estado == 0 and love.keyboard.isDown("down") then
				if self.parada < #self.paradas then
					self.estado = 2;
					PERSONAJE.velocity.x = 0; PERSONAJE.velocity.y = 0;
					SND.LIFT:stop();
					SND.LIFT:play();
				end
			end
		end
		
		if self.estado==1 then --subiendo
			self.y = self.y - 1;
			PERSONAJE.position.y = self.y - 64 - 1;
			for i=1,#self.paradas do
				if self.y == self.paradas[i] then --if llego a la parada
					self.estado = 0;
					self.parada = i;
				end
			end
		elseif self.estado==2 then --bajando
			self.y = self.y + 1;
			PERSONAJE.position.y = self.y - 64 - 1;
			for i=1,#self.paradas do
				if self.y == self.paradas[i] then --if llego a la parada
					self.estado = 0;
					self.parada = i;
				end
			end
		end
	end