local Room = Gamestate.new();

	function Room:reset()
		Room.fondo = love.graphics.newImage("img/rooms/3/room3.png");
		Room.lift = Lift();
			table.insert(Room.lift.paradas,-64);
			table.insert(Room.lift.paradas,296);	--NOTA: van en orden de mas altura a menor
			table.insert(Room.lift.paradas,580);
			Room.lift.parada = 2; Room.lift.x = 610;	Room.lift.y = 580;
		Room.obstaculos = {}
			table.insert(Room.obstaculos,{x=-100,y=296,width=707,height=40});
			table.insert(Room.obstaculos,{x=-100,y=580,width=707,height=20});
			table.insert(Room.obstaculos,{x=776,y=0,width=25,height=600});
			table.insert(Room.obstaculos,{x=0,y=0,width=17,height=295});
			table.insert(Room.obstaculos,Room.lift);
		Room.doors={}
			table.insert(Room.doors,{x=92,y=192,width=92,height=104,open=false});
	end

	function Room:enter()
		SND.HORN:setVolume(0.2);
	end
local gota = 0; local gota_espera = 100;
	function Room:draw()
		love.graphics.draw(Room.fondo,0,0);
		PERSONAJE:draw();
		self.lift:draw();
		--obstaculos
		-- for i=1,#self.obstaculos do
		-- 	local r = self.obstaculos[i];
		-- 	love.graphics.rectangle("line",r.x,r.y,r.width,r.height);
		-- end
		-- --puertas
		-- for i=1,#self.doors do
		-- 	local d = self.doors[i];
		-- 	love.graphics.rectangle("line",d.x,d.y,d.width,d.height);
		-- end
		love.graphics.setColor(0,100,255);
		love.graphics.rectangle("fill",396,424,8,4);
		love.graphics.rectangle("fill",396,424+gota,4,4);
		love.graphics.setColor(255,255,255);
	end

	function Room:update(dt)
		if gota_espera==0 then
			gota = gota + 5;
			if gota > 152 then 
				gota = 0;
				gota_espera = math.random(50,200);
				local g = math.random(1,2);
				SND.GOTA[g]:stop();
				SND.GOTA[g]:play();
			end
		else
			gota_espera = gota_espera - 1;
		end
		self.lift:update(dt);
		PERSONAJE:update(dt);
		if PERSONAJE.position.x < -64-20 then
			STATES.current = STATES.room4;
			Gamestate.switch(STATES.current);
			PERSONAJE.position.x = 800;
			PERSONAJE.position.y = PERSONAJE.position.y;
			PERSONAJE.velocity.x = PERSONAJE.velocity.x;
			PERSONAJE.velocity.y = PERSONAJE.velocity.y;
		end
		if PERSONAJE.position.y < -64 and self.lift.estado==1 then
			STATES.current = STATES.room2;
			Gamestate.switch(STATES.current);
			STATES.current.lift.y = 600;
			STATES.current.lift.estado = 1;
		end
	end

return Room;
